| Home | Libraries | People | FAQ | More

# boost::asio::ip::resolver_query_base Class Reference

Inherited by boost::asio::ip::basic_resolver_query< Protocol >.

Inheritance diagram for boost::asio::ip::resolver_query_base:

List of all members.

## Detailed Description

The resolver_query_base class is used as a base for the basic_resolver_query class templates to provide a common place to define the flag constants.

## Static Public Attributes

static const int | canonical_name = implementation_defined
| Determine the canonical name of the host specified in the query.
static const int | passive = implementation_defined
| Indicate that returned endpoint is intended for use as a locally bound socket endpoint.
static const int | numeric_host = implementation_defined
| Host name should be treated as a numeric string defining an IPv4 or IPv6 address and no name resolution should be attempted.
static const int | numeric_service = implementation_defined
| Service name should be treated as a numeric string defining a port number and no name resolution should be attempted.
static const int | v4_mapped = implementation_defined
| If the query protocol family is specified as IPv6, return IPv4-mapped IPv6 addresses on finding no IPv6 addresses.
static const int | all_matching = implementation_defined
| If used with v4_mapped, return all matching IPv6 and IPv4 addresses.
static const int | address_configured = implementation_defined
| Only return IPv4 addresses if a non-loopback IPv4 address is configured for the system. Only return IPv6 addresses if a non-loopback IPv6 address is configured for the system.

## Protected Member Functions

| ~resolver_query_base ()
| Protected destructor to prevent deletion through this type.

## Constructor & Destructor Documentation

boost::asio::ip::resolver_query_base::~resolver_query_base | ( |  | ) | `[protected]`

Protected destructor to prevent deletion through this type.

## Member Data Documentation

const int boost::asio::ip::resolver_query_base::canonical_name = implementation_defined`[static]`

Determine the canonical name of the host specified in the query.

const int boost::asio::ip::resolver_query_base::passive = implementation_defined`[static]`

Indicate that returned endpoint is intended for use as a locally bound socket endpoint.

const int boost::asio::ip::resolver_query_base::numeric_host = implementation_defined`[static]`

Host name should be treated as a numeric string defining an IPv4 or IPv6 address and no name resolution should be attempted.

const int boost::asio::ip::resolver_query_base::numeric_service = implementation_defined`[static]`

Service name should be treated as a numeric string defining a port number and no name resolution should be attempted.

const int boost::asio::ip::resolver_query_base::v4_mapped = implementation_defined`[static]`

If the query protocol family is specified as IPv6, return IPv4-mapped IPv6 addresses on finding no IPv6 addresses.

const int boost::asio::ip::resolver_query_base::all_matching = implementation_defined`[static]`

If used with v4_mapped, return all matching IPv6 and IPv4 addresses.

const int boost::asio::ip::resolver_query_base::address_configured = implementation_defined`[static]`

Only return IPv4 addresses if a non-loopback IPv4 address is configured for the system. Only return IPv6 addresses if a non-loopback IPv6 address is configured for the system.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff